package io.renren.modules.admin.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * 
 * @author chenshun
 * @email sunlightcs@gmail.com
 * @date 2020-02-21 15:10:27
 */
@Data
@TableName("attenders")
public class AttendersEntity implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * 参会人员id
	 */
	@TableId
	private Long id;
	/**
	 * 会议id
	 */
	private Long meetingId;
	/**
	 * 会员id
	 */
	private Long memberId;
	/**
	 * 姓名
	 */
	private String name;
	/**
	 * 所属机构(单位名称、公司名称)
	 */
	private String organization;
	/**
	 * 职位
	 */
	private Long positionId;
	/**
	 * 职称
	 */
	private Long jobTitle;
	/**
	 * 电话
	 */
	private String phone;
	/**
	 * 邮箱
	 */
	private String email;
	/**
	 * 办公电话
	 */
	private String officephone;
	/**
	 * 参会人员类型id
	 */
	private Long typeId;
	/**
	 * 参会意向
	 */
	private Integer intention;
	/**
	 * 住宿要求
	 */
	private Integer room;
	/**
	 * 接送要求
	 */
	private Integer transfer;
	/**
	 * 负责人（员工id）
	 */
	private Long servicer;
	/**
	 * 备注
	 */
	private String note;
	/**
	 * 联系电话
	 */
	private Integer account;
	/**
	 * 联系邮箱
	 */
	private String emailLx;
	/**
	 * 创建时间
	 */
	private Date createTime;
	/**
	 * 修改时间
	 */
	private Date modifyTime;
	/**
	 * 创建者
	 */
	private Long creater;
	/**
	 * 修改者
	 */
	private Long modifier;
	/**
	 * 是否被删除 状态  0：正常   1：删除
	 */
	private Integer isDel;

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getMeetingId() {
		return meetingId;
	}

	public void setMeetingId(Long meetingId) {
		this.meetingId = meetingId;
	}

	public Long getMemberId() {
		return memberId;
	}

	public void setMemberId(Long memberId) {
		this.memberId = memberId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getOrganization() {
		return organization;
	}

	public void setOrganization(String organization) {
		this.organization = organization;
	}

	public Long getPositionId() {
		return positionId;
	}

	public void setPositionId(Long positionId) {
		this.positionId = positionId;
	}

	public Long getJobTitle() {
		return jobTitle;
	}

	public void setJobTitle(Long jobTitle) {
		this.jobTitle = jobTitle;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getOfficephone() {
		return officephone;
	}

	public void setOfficephone(String officephone) {
		this.officephone = officephone;
	}

	public Long getTypeId() {
		return typeId;
	}

	public void setTypeId(Long typeId) {
		this.typeId = typeId;
	}

	public Integer getIntention() {
		return intention;
	}

	public void setIntention(Integer intention) {
		this.intention = intention;
	}

	public Integer getRoom() {
		return room;
	}

	public void setRoom(Integer room) {
		this.room = room;
	}

	public Integer getTransfer() {
		return transfer;
	}

	public void setTransfer(Integer transfer) {
		this.transfer = transfer;
	}

	public Long getServicer() {
		return servicer;
	}

	public void setServicer(Long servicer) {
		this.servicer = servicer;
	}

	public String getNote() {
		return note;
	}

	public void setNote(String note) {
		this.note = note;
	}

	public Integer getAccount() {
		return account;
	}

	public void setAccount(Integer account) {
		this.account = account;
	}

	public String getEmailLx() {
		return emailLx;
	}

	public void setEmailLx(String emailLx) {
		this.emailLx = emailLx;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getModifyTime() {
		return modifyTime;
	}

	public void setModifyTime(Date modifyTime) {
		this.modifyTime = modifyTime;
	}

	public Long getCreater() {
		return creater;
	}

	public void setCreater(Long creater) {
		this.creater = creater;
	}

	public Long getModifier() {
		return modifier;
	}

	public void setModifier(Long modifier) {
		this.modifier = modifier;
	}

	public Integer getIsDel() {
		return isDel;
	}

	public void setIsDel(Integer isDel) {
		this.isDel = isDel;
	}
}
